/* ***************************************************************** */
/*  Licensed Materials - Property of IBM                             */
/*  Product(s):                                                      */
/*      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      */
/*                                                                   */
/*  (C)Copyright IBM Corporation 2016                                */
/*                                                                   */
/*  US Government Users Restricted Rights - Use, duplication or      */
/*  disclosure restricted by GSA ADP Schedule Contract with          */
/*  IBM Corp.                                                        */
/* ***************************************************************** */
/*                                                                   */
/*  Maintenance Log:                                                 */
/*                                                                   */
/*  Date     Who   ID  Description                                   */
/*  -------- ---- ---  -----------------------------------------     */
/*  12/08/15 KRM       Initial Development for KJJ situations        */
/*  03/15/16 mjr       Warning situations should not overlap the     */
/*                     the Critical situations for the same metric.  */
/*                     Defect 52391, APAR OA50242, PTF UA81330       */
/*                                                                   */
/* ***************************************************************** */
/*                                                                   */
/*  Insert situations for JVM Monitor                                */
/*                                                                   */
/* ***************************************************************** */

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_General_CPU_Critical",                            /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Critical~",                      /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if general CPU percent is more than 75",  /* TEXT */
   "*IF *VALUE JVM_CPU.General_CPU_Percent *GT 75.00"         /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_General_CPU_Warning",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Warning~",                       /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if general CPU percent is more than 50",   /* TEXT */
   "*IF *VALUE JVM_CPU.General_CPU_Percent *GT 50.00 *AND *VALUE
    JVM_CPU.General_CPU_Percent *LE 75.00"                    /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_GC_Pause_Critical",                               /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Critical~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if percent time in GC Pause is more than 5", /*TXT*/
   "*IF *VALUE 
   JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses
   *GT 5.00"                                                  /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_GC_Pause_Warning",                                /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Warning~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if percent time in GC Pause is more than 2", /*TEXT*/
   "*IF *VALUE 
   JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses
    *GT 2.00 *AND *VALUE
     JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses 
     *LE 5.00
   "                                                          /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_IFA_on_General_CPU_Critical",                     /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Critical~",                      /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if IFA on general CPU percent is more than 50", 
   "*IF *VALUE JVM_CPU.IFA_on_General_CPU_Percent *GT 50.00"  /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_IFA_on_General_CPU_Warning",                      /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Warning~",                       /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if IFA on general CPU percent is more than 25", 
   "*IF *VALUE JVM_CPU.IFA_on_General_CPU_Percent *GT 25.00 
   *AND *VALUE
     JVM_CPU.IFA_on_General_CPU_Percent *LE 50.00"            /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Lock_Missed_Critical",                            /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=LOCKS.JOBNAME;SEV=Critical~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if lock missed percent is more than 50",  /* TEXT */
   "*IF *VALUE JVM_Locks.Missed_Percent *GT 50.00"            /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Lock_Missed_Warning",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=LOCKS.JOBNAME;SEV=Warning~",                     /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if lock missed percent is more than 10",   /* TEXT */
   "*IF *VALUE JVM_Locks.Missed_Percent *GT 10.00 *AND *VALUE
    JVM_Locks.Missed_Percent *LE 50.00"                       /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Occupancy_after_GC_Critical",                     /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Critical~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if the average occupancy percent is more than 80",  
   "*IF *VALUE JVM_Garbage_Collection.Avg_Occupancy_Percent *GT 80.00" 
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_System_GC_Warning",                               /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Warning~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if any system GC occurred during interval",  /*TEXT*/
   "*IF *VALUE JVM_Garbage_Collection.System_Collection_Count *GE 1"  
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Thread_Blocked_Warning",                          /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "JVM_",                                             /* QIBCLASSID */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=THREADS.JOBNAME;SEV=Warning~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if any thread is in blocked status",       /* TEXT */
   "*IF *VALUE JVM_Threads.State *EQ BLOCKED"                 /* PDT */
 );

